    nomainwin
    ' RANDOM NUMBER COMPARISON PROGRAM BY RAY LINK, COMPUSERVE ID# 75473,1136
    ' SIMPLE CODE ROUTINE INCLUDED IN THIS ZIPFILE AS RANDCODE.BAS
    [start]
    button #setup,">>>QUIT<<<",[quit1],ul,270,380
    button #setup,"   10",[but10],ul,25,250:button #setup,"   50",[but50],ul,100,250:button #setup,"  100",[but100],ul,175,250:button #setup,"  250",[but250],ul,250,250
    button #setup,"  500",[but500],ul,325,250:button #setup,"  640",[but640],ul,400,250:button #setup," 1000",[but1000],ul,475,250:button #setup," 5000",[but5000],ul,550,250
    open "Random Generator Comparison Setup" for graphics_fs_nsb as #setup
    print #setup,"down;color black;place 20 20;\Welcome to the Random Number Generator Comparison Program. The intent of this program\   is to demonstrate just one of many ways to generate less arbitrary, and generally more \   random, numbers.  "
    print #setup,"size 20;color darkblue;line 0 195 640 195;size 90;line 0 270 640 270;color darkgreen;place 50 220;\Please Choose The Quantity Of Numbers to Be Generated :"
    print #setup,"size 160;color darkred;line 0 400 640 400"
    print #setup,"flush"
    input o$
    close #setup
    end
    [grs]
    rxt=xt
    if xt>0 then close #setup
    button #grwin,"--->QUIT<---",[quit2],ul,500,150

    OPEN "Random Number Graphing Window" for graphics_fs_nsb as #grwin
    [grsreset]
    print #grwin,"down;place 10 110;color darkgreen;\COLOR CODE:"
    print #grwin,"place 10 130;color red;\Red = Standard Liberty Random Number Generation Code Output"
    print #grwin,"place 10 150;color darkblue;\Blue=Sample Improved Random Generation Code Output"

    print #grwin,"down;color black;size 5;place 400 0;box 630 90"
    print #grwin,"place 410 16;\Total Generated :"
    print #grwin,"place 410 35;\Average Number Generated :"
    print #grwin,"down;color black;place 120 15;\Tri-Segment Percentages"
    print #grwin,"size 5;color black;place 0 0;box 400 90;color darkgreen;place 10 35;\Low (01-33)                   Mid (34-66)             Hi (67-100)"
    print #grwin,"color black;line 0 45 398 45;line 134 45 134 88;line 267 45 267 88"

    print #grwin,"flush"
    print #grwin,"size 1"
    let xx=640/xt
    
    FOR x=1 TO xt
    let xw=xx*x
    print #grwin,"place 550 16;\";x
    let w=475
    [flag]
    print #grwin,"color darkblue"
    e1a=rnd(10532)
    e2a=rnd(42341)
    e3a=rnd(93886)
    e1=e1a*10
    e2=e2a*10
    e3=e3a*10

    if int(e1)=int(e2) then goto [redo]
    if int((e1+e2)/2)=int(e3) then goto [redo]
    [jumper0]
    if e3>6 then q=(e1a*100):goto [jumper1]
    if e3>3 then q=(e2a*100):goto [jumper1]
    if e3<1 then goto [redo]

    q=(e3a*100)
    if q<1 then q=100
    [jumper1]
    ct=ct+1
    if (ct/3)=int(ct/3) then goto [redo]

    let z=w-q:print #grwin,"line ";xw;" ";w;" ";xw;" ";z
    let low=(low1/x)*100:let mid=(mid1/x)*100:let hi=(hi1/x)*100
    print #grwin,"place 10 82;\%";low;";place 143 82;\%";mid;";place 274 82;\%";hi
    let raw1=raw1+q:let av1=raw1/x:print #grwin,"place 450 82;\";av1

    print #grwin,"color red"
    let m=360
    let n=int(rnd(234234)*100):let o=m-n:if n<1 then n=100
    print #grwin,"line ";xw;" ";m;" ";xw;" ";o
    let low=(low2/x)*100:let mid=(mid2/x)*100:let hi=(hi2/x)*100
    print #grwin,"place 10 62;\%";low;";place 143 62;\%";mid;";place 274 62;\%";hi
    let raw2=raw2+n:let av2=raw2/x:print #grwin,"place 450 62;\";av2
    if n<34 then low2=low2+1:goto [jumper2]
    if n<68 then mid2=mid2+1:goto [jumper2]
    hi2=hi2+1

    [jumper2]
    if q<34 then low1=low1+1:goto [jumper3]
    if q<68 then mid1=mid1+1:goto [jumper3]
    hi1=hi1+1

    e1=-1
    [redo]
    if e1>0 then goto [flag]
    [jumper3]
    next x
    input o$
    end
    [but10]
    xt=10:goto [grs]
    [but50]
    xt=50:goto [grs]
    [but100]
    xt=100:goto [grs]
    [but250]
    xt=250:goto [grs]
    [but500]
    xt=500:goto [grs]
    [but640]
    xt=640:goto [grs]
    [but1000]
    xt=1000:goto[grs]
    [but5000]
    xt=5000:goto[grs]
    [reseta]
    rxt=rxt*(-1):xt=rxt:goto [grsreset]
    [reset]
    close #grwin:goto [start]
    [quit1]
    close #setup
    end

    [quit2]
    close #grwin
    end
